Bug 222703 - [NEW PORT] databases/postgis24: Adds support for geographic objects to PostgreSQL databases v2.4
Summary: [NEW PORT] databases/postgis24: Adds support for geographic objects to Postgr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-30 16:18 UTC by lbartoletti
Modified: 2017-12-19 16:50 UTC (History)
5 users (show)

See Also:
lbartoletti: maintainer-feedback+
rhurlin: maintainer-feedback+


Attachments
postgis24 and other postgis2X (32.81 KB, patch)
2017-09-30 16:18 UTC, lbartoletti
no flags Details | Diff
postgis24 and other postgis2X (33.43 KB, patch)
2017-12-05 06:27 UTC, lbartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis24, update postgis23 et 22 (42.02 KB, patch)
2017-12-13 20:24 UTC, lbartoletti
lbartoletti: maintainer-approval+
Details | Diff
corrected patch to databases/postgis22/Makefile (665 bytes, patch)
2017-12-17 07:07 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lbartoletti 2017-09-30 16:18:40 UTC
Created attachment 186816 [details]
postgis24 and other postgis2X

Welcome to the newest version of Postgis.

The port is similar to 2.3 and above. Since cgal have less dependencies I have add by default SFCGAL in postgis 23 and 24

I have patched all versions including a new conflicts and standardize postgis21.

Especially for postgis24:
poudriere 10, 11 i386/amd64 OK
portlint ok
Comment 1 lbartoletti 2017-12-05 06:27:12 UTC
Created attachment 188537 [details]
postgis24 and other postgis2X

Update to postgis 2.4.2
Comment 2 Kurt Jaeger freebsd_committer 2017-12-06 06:21:17 UTC
testbuilds are fine on cur, 11a, 10i
Comment 3 Rodrigo Osorio freebsd_committer 2017-12-12 08:54:55 UTC
In databases/postgis23 the pkg-plist is incorrect

%%DATADIR%%/tiger_geocoder/census_loader.sql

is missing, would you check if this in not an issue ?
Comment 4 lbartoletti 2017-12-13 05:32:47 UTC
My bad. This line must be removed in postgis23 pkg-plist.
Comment 5 lbartoletti 2017-12-13 05:52:37 UTC
I will also update other postgis version
postgis23 -> 2.3.5
postgis22 -> 2.2.6
Comment 6 lbartoletti 2017-12-13 20:24:59 UTC
Created attachment 188810 [details]
postgis24, update postgis23 et 22
Comment 7 Rodrigo Osorio freebsd_committer 2017-12-16 21:43:57 UTC
@lbartoletti : patch is fine an I'm ready to commit the changes but I need rhurlin approval for the postgis22 upgrade

rhurlin@gwdg.de : I need your approval for postgis22 upgrade from 2.2.5 to 2.2.6
Comment 8 Rainer Hurling 2017-12-17 07:07:50 UTC
Created attachment 188905 [details]
corrected patch to databases/postgis22/Makefile

Oops, sorry. I wasn't aware, that explicit approval is needed here.

I took another look and had to slightly update the Makefile patch, because it was updated a few days ago: Use CONFLICTS_INSTALL instead of CONFLICTS.

With your patches to distinfo and pkg-plist and my patch to Makefile the port is fine now and should be committed.
Comment 9 commit-hook freebsd_committer 2017-12-17 11:25:33 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Dec 17 11:25:15 UTC 2017
New revision: 456527
URL: https://svnweb.freebsd.org/changeset/ports/456527

Log:
  Add new port postgis24 for v2.4.x
    See https://svn.osgeo.org/postgis/tags/2.4.2/NEWS for new features in 2.4 branch,
    bugfixes and enhancements

  Upgrade postgis22 from v2.2.5 to 2.2.6
    Multiple bug fixes, see changelog
    https://svn.osgeo.org/postgis/tags/2.2.6/NEWS

  Upgrade postfix23 from v2.3.3 to v2.3.5
    Multiple bug fixes and enhancements, see changelog
    https://svn.osgeo.org/postgis/tags/2.3.5/NEWS

  Fix and expand CONFLICTS_INSTALL for the postgis2* ports
  reorder USES and USE_* in database/postgis20 to makes portlint happy

  PR:		222703
  Submitted by:	lbartoletti@tuxfamily.org
  Approved by:	rhurlin@gwdg.de (maintainer)

Changes:
  head/databases/Makefile
  head/databases/postgis20/Makefile
  head/databases/postgis21/Makefile
  head/databases/postgis22/Makefile
  head/databases/postgis22/distinfo
  head/databases/postgis22/pkg-plist
  head/databases/postgis23/Makefile
  head/databases/postgis23/distinfo
  head/databases/postgis23/pkg-plist
  head/databases/postgis24/
  head/databases/postgis24/Makefile
  head/databases/postgis24/distinfo
  head/databases/postgis24/pkg-descr
  head/databases/postgis24/pkg-install
  head/databases/postgis24/pkg-plist
Comment 10 Rodrigo Osorio freebsd_committer 2017-12-17 11:26:21 UTC
committed with minor changes, thanks
Comment 11 commit-hook freebsd_committer 2017-12-19 16:35:02 UTC
A commit references this bug:

Author: rodrigo
Date: Tue Dec 19 16:34:20 UTC 2017
New revision: 456738
URL: https://svnweb.freebsd.org/changeset/ports/456738

Log:
  Revert files addition for databases/postgis24

  As specified in the committers manual Section 19.4*, when
  adding a port related to another, we should do a repo copy
  instead of add new files.

  PR:		222703

Changes:
  head/databases/postgis24/
Comment 12 commit-hook freebsd_committer 2017-12-19 16:50:22 UTC
A commit references this bug:

Author: rodrigo
Date: Tue Dec 19 16:49:23 UTC 2017
New revision: 456739
URL: https://svnweb.freebsd.org/changeset/ports/456739

Log:
  Add port databases/postgis24 by repo copy from databases/postgis23

  See https://svn.osgeo.org/postgis/tags/2.4.2/NEWS for new features in 2.4
  branch, bugfixes and enhancements

  PR:		222703
  Submitted by:	lbartoletti@tuxfamily.org
  Reviewed by:	sunpoet

Changes:
  head/databases/postgis24/
  head/databases/postgis24/Makefile
  head/databases/postgis24/distinfo
  head/databases/postgis24/pkg-descr
  head/databases/postgis24/pkg-install
  head/databases/postgis24/pkg-plist